summaryrefslogtreecommitdiffstats
path: root/development/tkcvs
diff options
context:
space:
mode:
author Ferenc Deak2010-05-11 14:05:53 +0200
committer Michiel van Wessem2010-05-11 14:05:53 +0200
commitc06ab5f8c1b5d9dd5d303a19ee6e0595e5ec9bcf (patch)
tree31d8f864bf95aee1e7b879b109de4db57bee36be /development/tkcvs
parent0e0ee843a6de2cc3e96066cbb0e169707abce9c9 (diff)
downloadslackbuilds-c06ab5f8c1b5d9dd5d303a19ee6e0595e5ec9bcf.tar.gz
development/tkcvs: Initial import
Diffstat (limited to 'development/tkcvs')
-rw-r--r--development/tkcvs/README9
-rw-r--r--development/tkcvs/doinst.sh3
-rw-r--r--development/tkcvs/slack-desc11
-rw-r--r--development/tkcvs/tkcvs.SlackBuild64
-rw-r--r--development/tkcvs/tkcvs.desktop11
-rw-r--r--development/tkcvs/tkcvs.info8
6 files changed, 106 insertions, 0 deletions
diff --git a/development/tkcvs/README b/development/tkcvs/README
new file mode 100644
index 0000000000..ee79e3a903
--- /dev/null
+++ b/development/tkcvs/README
@@ -0,0 +1,9 @@
+TkCVS is a Tcl/Tk-based graphical interface to the CVS and
+Subversion configuration management systems. It displays the status of
+the files in the current working directory, and provides buttons and
+menus to execute configuration-management commands on the selected
+files. Limited RCS functionality is also present. TkDiff is bundled
+in for browsing and merging your changes.
+
+Just to be clearly stated: it requires tcl,tk
+
diff --git a/development/tkcvs/doinst.sh b/development/tkcvs/doinst.sh
new file mode 100644
index 0000000000..37f8fcb218
--- /dev/null
+++ b/development/tkcvs/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications > /dev/null 2>&1
+fi
diff --git a/development/tkcvs/slack-desc b/development/tkcvs/slack-desc
new file mode 100644
index 0000000000..056d990da9
--- /dev/null
+++ b/development/tkcvs/slack-desc
@@ -0,0 +1,11 @@
+tkcvs: tkcvs (a Tcl/Tk Graphical Interface to CVS and Subversion)
+tkcvs:
+tkcvs: TkCVS is a Tcl/Tk-based graphical interface to the CVS and
+tkcvs: Subversion configuration management systems. It displays the status of
+tkcvs: the files in the current working directory, and provides buttons and
+tkcvs: menus to execute configuration-management commands on the selected
+tkcvs: files. Limited RCS functionality is also present. TkDiff is bundled
+tkcvs: in for browsing and merging your changes.
+tkcvs:
+tkcvs:
+tkcvs:
diff --git a/development/tkcvs/tkcvs.SlackBuild b/development/tkcvs/tkcvs.SlackBuild
new file mode 100644
index 0000000000..01cec56731
--- /dev/null
+++ b/development/tkcvs/tkcvs.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for tkcvs
+# Written by Ferenc Deak <ferenc.deak@gmail.com>
+
+# Slightly modified by the SlackBuilds project
+set -e
+
+PRGNAM=tkcvs
+VERSION=8.0.3
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+V=${VERSION//./_}
+rm -rf ${PRGNAM}_$V
+tar xzf $CWD/${PRGNAM}_$V.tar.gz
+cd ${PRGNAM}_$V
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./doinstall.tcl -nox $PKG/usr
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a FAQ COPYING CHANGELOG \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp tkdiff/Changelog $PKG/usr/doc/$PRGNAM-$VERSION/tkdiff-Changelog
+cp tkdiff/COPYING $PKG/usr/doc/$PRGNAM-$VERSION/tkdiff-COPYING
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+
diff --git a/development/tkcvs/tkcvs.desktop b/development/tkcvs/tkcvs.desktop
new file mode 100644
index 0000000000..3b6efc9b25
--- /dev/null
+++ b/development/tkcvs/tkcvs.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Name=tkcvs
+Comment=Graphical Interface to CVS and Subversion
+Exec=tkcvs
+Icon=/usr/lib/tkcvs/bitmaps/tkcvs48.xbm
+Terminal=false
+Type=Application
+Categories=Application;Development
+StartupNotify=false
+Encoding=UTF-8
+
diff --git a/development/tkcvs/tkcvs.info b/development/tkcvs/tkcvs.info
new file mode 100644
index 0000000000..93edc930c5
--- /dev/null
+++ b/development/tkcvs/tkcvs.info
@@ -0,0 +1,8 @@
+PRGNAM="tkcvs"
+VERSION="8.0.3"
+HOMEPAGE="http://www.twobarleycorns.net/tkcvs.html"
+DOWNLOAD="http://www.twobarleycorns.net/tkcvs_8_0_3.tar.gz"
+MD5SUM="f02a40b84ac7c8de7f24acbcac066207"
+MAINTAINER="Ferenc Deak"
+EMAIL="ferenc.deak@gmail.com"
+APPROVED="BP{k}"